﻿@using System.Web.UI.WebControls;


@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;

@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@model Toyota.Common.Web.MVC.ModelHolder

@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<style type="text/css">
        .circle{
            background-color:#999999;
            height:10px;
            width:10px;
            border-radius:120px;
        }
    
        .green{
            background-color:#00FF01;
            height:10px;
            width:10px;
            border-radius:120px;
        }
        .yellow{
            background-color:#ffcc00;
            height:10px;
            width:10px;
            border-radius:120px;
        }


    .greens {
        background-color:#00FF01;
    }
    .yellows{
        background-color:#ffcc00;
    }
        .bar-area{
            
            height:300px;
            border-bottom-width:1px;
            vertical-align:bottom;
        }
        .sum-tip{
            position:relative;
            top:-17px;
            left:-5px;
            background-color:#dddddd;
            border-width:1px;
            border-color:#00d8ff;
            border-radius:3px;
            width:30px;
        }

       

    .vert {
        -ms-transform: rotate(270deg); /* IE 9 */
        -moz-transform: rotate(270deg); /* Firefox */
        -webkit-transform: rotate(270deg); /* Safari and Chrome */
        -o-transform: rotate(270deg); /* Opera */
        font-weight:bold;
        font-size:14px;
    }

    .big{
        font-size:30px;
    }
    .blue{
        color:#3399cc;
    }
    .purple{
        color:#780079;
    }

    .bgblue{
        background-color:#336699;
        color:#ffffff;
    }

    .rounded{
        padding: 5px 5px 5px 5px;
        border-radius:8px;
    }

    .separator{
        height:27px;
    }

    .c10{
        background-color:#ff0000;
    }
    .c20{
        background-color:#ff2f00;
    }
    .c30{
        background-color:#ff6d00;
    }
    .c40{
        background-color:#ff9c00;
    }
    .c50{
        background-color:#ffcb00;
    }
    .c60{
        background-color:#d5ff00;
    }
    .c70{
        background-color:#b6ff00;
    }
    .c80{
        background-color:#80ff00;
    }
    .c90{
        background-color:#60ff00;
    }
    .c90_1{
        background-color:#49ff00;
    }
    .c100{
        background-color:#00FF01;
    }

    .blink {
        background-color: #3399cc;
    }

    #tblPart{
        border-collapse:collapse;
        
        
    }
        #tblPart TH {
            background-color: #DEECFD;
            border-color: #000000;
            padding: 3px 3px 3px 3px;
        }
        #tblPart TD {
            padding: 3px 3px 3px 3px;
        }
</style>
<script type="text/javascript">
    $(document).ready(function () {
        setTimeout(function () {
            readCSV();
            blink();
        }, 1000);
        
        
    });

    var cls = "";
    var P_LANE = "";
    var COUNT = "";
    var ORDER_NO = "";
    var DATE = "";
    var TIME = "";
    var fulltime = "";
    function readCSV()
    {
        $.ajax(
          {
              type: "POST",
              url: "@Url.Content("~/ReceivingProgress/csv")",
              success: function (result) {
                  if(result.data[0].substring(0, 6)=="P-LANE")
                  {
                     // var a = result.data[0].split("|");
                      //if (a[1] != P_LANE) {
                          
                          for (i = 0; i < result.data.length; i++) {
                              var x = result.data[i].split("|");

                              //DAFTAR-DAFTAR NOTASINYA:
                                  //P-LANE
                                  //COUNT
                                  //LO#
                                  //NO_DATA
                                  //RENEW
                                  //NO_ENOUGH
                                  //CALENDAR
                                  //PC_OFF
                                  //DATE
                                  //TIME
                                  //SHIFT
                                  //ORDERNO#


                              if (x[0] == "P-LANE") {
                                  if (x[1] != P_LANE)
                                  {
                                      $(cls).removeClass('blink');
                                      P_LANE = x[1];
                                      $('#LANE').html(x[1]);
                                      cls = ".bar_" + x[1];
                                  }
                              }

                              if(x[0]=="COUNT")
                              {
                                  if (x[1] != COUNT)
                                  {
                                      COUNT = x[1];
                                      $('#COUNT').html(x[1]);
                                  }
                              }

                              if (x[0] == "ORDERNO#") {
                                  if (x[1] != ORDER_NO) {
                                      COUNT = x[1];
                                      $('#ORDER_NO').html(x[1]);
                                  }
                              }

                              if(x[0]=="DATE")
                              {
                                  if(x[1]!=DATE)
                                  {
                                      DATE = x[1];
                                  }
                              }

                              if(x[0]=="TIME")
                              {
                                  if(x[1]!=TIME)
                                  {
                                      TIME = x[1];
                                  }
                              }
                          }

                          var y = DATE.substring(0, 4);
                          var m = DATE.substring(4, 6);
                          var d = DATE.substring(6, 8);
                          console.log(y);
                          console.log(m);
                          console.log(d);

                          var h = TIME.substring(0, 2);
                          var ms = TIME.substring(2, 4);
                          var s = TIME.substring(4, 6);
                            
                          fulltime = y + "-" + m + "-" + d + " " + h + ":" + ms + ":" + s;
                          $('#TIME').html(fulltime);
                      //}
                  }
              }
          });
        window.setTimeout("readCSV()", 1000);
    }
    function blink() {
        var state = false;
        window.setInterval(function () {
            if (state == false) {
                $(cls).addClass('blink');
                state = true;
            }
            else {
                $(cls).removeClass('blink');
                state = false;
            }
        }, 300);
    }
    
</script>
@*<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; width:100%;">
    @Html.Action("PartialHeader", "TruckReceiving")
</div>*@


<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; width:100%; height:50px;">
    <div style="float:right; height:100px; width:300px; background-color:#189200;">
        <div style="height: 70px; width: 300px; text-align:center; color:#ffffff; font-size:24px; vertical-align:middle;" id="TIME">
            
        </div>
        <div style="height:30px; width:300px; background-color:#ff9900; vertical-align:middle; color:#000000; font-size:18px; text-align:center;" id="MODE">
            Mode : Normal
        </div>
    </div>
    <table border="0">
        <tr>
            <td>
                <div class="big blue">
                    DOCK : 
                </div>
            </td>
            <td>
                <div class="big purple">
                    56
                </div>
            </td>
            <td width="120">
                &nbsp;
            </td>
            <td>
                <div class="big blue">
                    LANE : 
                </div>
            </td>
            <td>
                <div class="big purple" id="LANE">
                    
                </div>
            </td>
            <td width="120">
                &nbsp;
            </td>
            <td>
                <div class="big blue">
                    COUNT : 
                </div>
            </td>
            <td>
                <div class="big purple" id="COUNT">

                </div>
            </td>
        </tr>
    </table>
    <div class="separator"></div>
    <table border="0">
        <tr>
            <td>
                G-ALC Log : 
            </td>
            <td>
                <div id="log-time" class="rounded bgblue">
                    10:54:05
                </div>
            </td>
            <td width="30"></td>
            <td>Order No : </td>
            <td>
                <div id="ORDER_NO" class="rounded bgblue">
                  
                </div>
            </td>
        </tr>
    </table>

    
</div>


<!--<div style="margin-left: 10px; display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; float: left; height: 120px; margin-bottom:10px;">
    
    <div id="circle" class="circle">&nbsp;</div>
    </div>
    -->
    <div style="height: 15px;">
    </div>
    @* div spacing *@
   
@*<div style=" display: table; width: 100%; margin-right: 10px; ">
    @Html.Action("PartialData", "TruckReceiving")
</div>*@

<div style=" display: table; margin-right: 10px; float:left;">
    @Html.Action("PartialData", "ReceivingProgress")
</div>
<div style="display: inline; float:right; width:250px;">
    @Html.Action("PartialData2", "ReceivingProgress")
</div>

    <div id="toggleDetail" style="margin-top:5px;"></div>

